unbound-adblock 0.5 errata 001, January 15, 2021:

The unbound-adblock input sanitizer failed to filter out domain entries ending with a period/dot.

Apply by doing: (Note: Provided file path is for OpenBSD, other platforms path may differ)

patch /usr/local/bin/unbound-adblock.sh < p0.patch

--- unbound-adblock.sh.orig0	Sun Jan 10 23:26:52 2021
+++ unbound-adblock.sh	Fri Jan 15 14:27:30 2021
@@ -23,7 +23,7 @@
 # Fetch, parse and generate domain blocklists data into format suitable 
 # for ingestion by RPZ compatible DNS servers and/or unbound/unwind.
 
-version='0.5'
+version='0.5p0'
 release_date='2021-01-10'
 release_name='Gaslight Republic'
 
@@ -256,11 +256,11 @@
 # ------------------------------------------------------------------------------
 
 FORMAT_DOMAIN() {
-	myawk -- 'BEGIN { OFS = "" } (length($1) < 254 && length($1) > 3) && ($1 != "" && $1 ~ "\\.[[:alnum:]]" && $1 ~ "[[:alpha:]]" && $1 !~ "#|/|^\\.|\\.\\.") { print $1 }'
+	myawk -- 'BEGIN { OFS = "" } (length($1) < 254 && length($1) > 3) && ($1 != "" && $1 ~ "\\.[[:alnum:]]" && $1 ~ "[[:alpha:]]" && $1 !~ "#|/|^\\.|\\.$|\\.\\.") { print $1 }'
 }
 
 FORMAT_HOSTS() {
-	myawk -- 'BEGIN { OFS = "" } ($1 == "0.0.0.0" || $1 == "127.0.0.1") && (length($2) < 254 && length($2) > 3) && ($2 ~ "\\.[[:alnum:]]" && $2 ~ "[[:alpha:]]" && $2 !~ "/|^\\.|\\.\\.") { print $2 }'
+	myawk -- 'BEGIN { OFS = "" } ($1 == "0.0.0.0" || $1 == "127.0.0.1") && (length($2) < 254 && length($2) > 3) && ($2 ~ "\\.[[:alnum:]]" && $2 ~ "[[:alpha:]]" && $2 !~ "/|^\\.|\\.$|\\.\\.") { print $2 }'
 }
 
 RAW_TO_UNBOUND() {
